get
https://api.akahu.io/v1/transactions
Get a list of the user's transactions within the start and end time range.
This endpoint returns settled* transactions for all accounts that the user has connected to your application. See GET /transactions/pending to also query pending transactions.
Some important things to know about this endpoint:
- The data returned may vary depending on your app's permissions.
- All transactions timestamps are in UTC.
- If
startandendare not provided, all available transactions will be returned. - The
startquery parameter is exclusive. - The
endquery parameter is inclusive. - All timestamps use millisecond resolution (i.e.
2025-01-01T11:59:59.999Zis the instant before2025-01-01T12:00:00.000Z).
Further reading:
*Both inbound and outbound transactions relating to payments initiated via Akahu skip the
/transactions/pendingendpoint and are immediately available at this endpoint instead. This ensures that such transactions receive a stable_idfield to assist with reconciliation. Their availability at this endpoint does not guarantee that the bank has undertaken final processing of the transaction.